%global momorel 1

Name:           JSDoc
Version:        1.10.2
Release:        %{momorel}m%{?dist}
Summary:        Produces javadoc-style documentation from JavaScript sourcefiles
Group:          Development/Tools
License:        GPL
URL:            http://jsdoc.sourceforge.net
Source0:        http://dl.sourceforge.net/sourceforge/jsdoc/%{name}-%{version}.tgz
NoSource:	0
Source1:        %{name}-COPYING.txt.gz
Patch0:         %{name}-mc-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(HTML::Template)

%description
A script that produces javadoc-style documentation from
well-formed JavaScript sourcefiles. At the moment, this means it
supports sourcefiles where all functions are mapped to a class
using prototype-based inheritance.  Anonymous function
definitions (e.g. Circle.prototype.getRadius = function(){ ...} )
are supported.

%prep
%setup -q -n %{name}-%{version}
gzip -dc %{SOURCE1} >COPYING
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 jsdoc.pl $RPM_BUILD_ROOT%{_bindir}/jsdoc
install -d -p $RPM_BUILD_ROOT%{perl_vendorlib}/JSDoc
install -p -m 644 JSDoc.pm $RPM_BUILD_ROOT%{perl_vendorlib}
install -p -m 644 JSDoc/* $RPM_BUILD_ROOT%{perl_vendorlib}/JSDoc/
install -d -p $RPM_BUILD_ROOT%{perl_vendorlib}/JavaScript/Syntax/
install -p -m 644 JavaScript/Syntax/* \
    $RPM_BUILD_ROOT%{perl_vendorlib}/JavaScript/Syntax/
install -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/jsdoc/
install -p -m 444 *.tmpl *.css $RPM_BUILD_ROOT%{_datadir}/jsdoc/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO CHANGES COPYING
%{_bindir}/jsdoc
%{perl_vendorlib}/JSDoc
%{perl_vendorlib}/JSDoc.pm
%{perl_vendorlib}/JavaScript
%{_datadir}/jsdoc

%changelog
* Wed May 21 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.10.2-1m)
- import from Fedora

* Sun Jul  1 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-4
- Administrative increase of the release in order to overcome screwed up tagging in Fedora CVS.

* Sat Jun 23 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-3
- Added GPL text as new source
- documentation files (*.tmpl, *.css) shouldn't be executable.
- limited ownership of perl_vendorlib direcotries.

* Sat Apr  7 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-2
- License is GPL, according to the website.

* Fri Apr  6 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-1
- Initial build
